'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var constants = require('../../src/constants.js');

function generateClassNames(
/**
 * name of css class name variable
 */
classNameKey,
/**
 * stiches CSS output
 */
defaultStyles,
/**
 * appearance variables
 */
variants, appearance) {
  var _a, _b;
  const classNames = [];
  const baseClassName = constants.CLASS_NAMES[classNameKey];
  classNames.push((appearance === null || appearance === void 0 ? void 0 : appearance.prependedClassName) ? (appearance === null || appearance === void 0 ? void 0 : appearance.prependedClassName) + '_' + baseClassName : constants.PREPENDED_CLASS_NAMES + '_' + baseClassName, baseClassName);
  if ((_a = appearance === null || appearance === void 0 ? void 0 : appearance.className) === null || _a === void 0 ? void 0 : _a[classNameKey]) {
    classNames.push((_b = appearance === null || appearance === void 0 ? void 0 : appearance.className) === null || _b === void 0 ? void 0 : _b[classNameKey]);
  }
  if (variants) {
    Object.keys(variants).forEach(key => {
      if (variants[key]) {
        classNames.push(`${baseClassName}-${key}-${String(variants[key])}`);
      }
    });
  }
  // if (
  //   appearance?.extendAppearance === undefined ||
  //   appearance?.extendAppearance === true
  // ) {
  classNames.push(defaultStyles);
  // }
  return classNames;
}

exports.generateClassNames = generateClassNames;
